FastAi installation problem


(Bart) #1

I wanted to instal fastai on anaconda.I followed instructions: ```
Download project: git clone https://github.com/fastai/fastai.git
Move into root folder: cd fastai
Set up Python environment: conda env update
Activate Python environment: conda activate fastai
but during conda env update I am getting error “Command “python setup.py egg_info” failed with error code 1 in C:\Users\tomas\AppData\Local\Temp\pip-install-w0gsbrvb\pyproj”
I read several topics, but i didnt find a solution.Can someone help me :)?


(David Cato) #2

Are you using Windows? Try this forum thread. There’s a lot of useful Windows-specific help there.


(Leon Dummer) #3

Can you post the whole error code? Usually it’s missing dependencies like sharpy etc.
You can also check Anaconda navigator (just type in your search in windows). Go to environments, choose fastai and check which libraries are not installed yet. Usually you have to run that process multiple times until you find all missing dependencies.
Otherwise this article will guide you through the installation (kind of).


(Bart) #4

Yes, but I am thinking about switching to Linux


(Bart) #5

Sure :slight_smile:
Solving environment: done

Downloading and Extracting Packages
pickleshare-0.7.5 | 11 KB | ############################################################################ | 100%
sqlite-3.25.2 | 974 KB | ############################################################################ | 100%
ipykernel-4.10.0 | 164 KB | ############################################################################ | 100%
Preparing transaction: done
Verifying transaction: done
Executing transaction: done
Collecting torchvision>=0.1.9 (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1))
Using cached https://files.pythonhosted.org/packages/ca/0d/f00b2885711e08bd71242ebe7b96561e6f6d01fdb4b9dcf4d37e2e13c5e1/torchvision-0.2.1-py2.py3-none-any.whl
Collecting opencv-python (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 2))
Using cached https://files.pythonhosted.org/packages/17/2f/d9cc975666db25dcc412b76f46510ece2bd921465a361336d441a8313dc6/opencv_python-3.4.3.18-cp36-cp36m-win_amd64.whl
Collecting isoweek (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 3))
Using cached https://files.pythonhosted.org/packages/c2/d4/fe7e2637975c476734fcbf53776e650a29680194eb0dd21dbdc020ca92de/isoweek-1.3.3-py2.py3-none-any.whl
Collecting pandas_summary==0.0.5 (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 4))
Using cached https://files.pythonhosted.org/packages/97/55/ea54109a4e7a8e7342bdf23e9382c858224263d984b0d95610568e564f59/pandas_summary-0.0.5-py2.py3-none-any.whl
Collecting torchtext (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5))
Using cached https://files.pythonhosted.org/packages/78/90/474d5944d43001a6e72b9aaed5c3e4f77516fbef2317002da2096fd8b5ea/torchtext-0.2.3.tar.gz
Collecting graphviz (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 6))
Using cached https://files.pythonhosted.org/packages/47/87/313cd4ea4f75472826acb74c57f94fc83e04ba93e4ccf35656f6b7f502e2/graphviz-0.9-py2.py3-none-any.whl
Collecting sklearn_pandas (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 7))
Using cached https://files.pythonhosted.org/packages/7e/9c/c94f46b40b86d2c77c46c4c1b858fc66c117b4390665eca28f2e0812db45/sklearn_pandas-1.7.0-py2.py3-none-any.whl
Collecting feather-format (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 8))
Using cached https://files.pythonhosted.org/packages/08/55/940b97cc6f19a19f5dab9efef2f68a0ce43a7632f858b272391f0b851a7e/feather-format-0.4.0.tar.gz
Collecting plotnine (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/fe/49/7af942bc63277dfca6ad397415f4cff60789c56d173b1f7edf0bd30e27e0/plotnine-0.4.0-py2.py3-none-any.whl
Collecting kaggle-cli (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Requirement already satisfied: ipywidgets in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from -r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (7.4.2)
Requirement already satisfied: pillow>=4.1.1 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchvision>=0.1.9->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1)) (5.2.0)
Requirement already satisfied: numpy in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchvision>=0.1.9->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1)) (1.15.1)
Requirement already satisfied: six in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchvision>=0.1.9->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1)) (1.11.0)
Requirement already satisfied: torch in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchvision>=0.1.9->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1)) (0.3.1.post2)
Requirement already satisfied: pandas in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from pandas_summary==0.0.5->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 4)) (0.23.4)
Requirement already satisfied: tqdm in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (4.26.0)
Requirement already satisfied: requests in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (2.19.1)
Requirement already satisfied: scipy>=0.14 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from sklearn_pandas->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 7)) (1.1.0)
Collecting scikit-learn>=0.15.0 (from sklearn_pandas->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 7))
Downloading https://files.pythonhosted.org/packages/8f/1c/9c1d550068f015685d0fccb1726ace7163bbfe5b1a16bda1dcd28d99cb65/scikit_learn-0.20.0-cp36-cp36m-win_amd64.whl (4.7MB)
100% |████████████████████████████████| 4.8MB 1.8MB/s
Collecting pyarrow>=0.4.0 (from feather-format->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 8))
Using cached https://files.pythonhosted.org/packages/42/58/4d29b02e9b422cc65f65c1afe5c4710d7e1827c2c1f651bcc19cec042d92/pyarrow-0.10.0-cp36-cp36m-win_amd64.whl
Collecting geopandas>=0.3.0 (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/24/11/d77c157c16909bd77557d00798b05a5b6615ed60acb5900fbe6a65d35e93/geopandas-0.4.0-py2.py3-none-any.whl
Collecting mizani>=0.4.5 (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/52/01/8a3b4c6e45749674a1e5241174b4b63cd6435125e124bec275f3e02c96ac/mizani-0.4.6-py2.py3-none-any.whl
Requirement already satisfied: statsmodels>=0.8.0 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9)) (0.9.0)
Requirement already satisfied: matplotlib>=2.1.0 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9)) (3.0.0)
Requirement already satisfied: patsy>=0.4.1 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9)) (0.5.0)
Collecting descartes>=1.1.0 (from plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/e5/b6/1ed2eb03989ae574584664985367ba70cd9cf8b32ee8cad0e8aaeac819f3/descartes-1.1.0-py3-none-any.whl
Collecting progressbar2<3.35,>=3.34.3 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Using cached https://files.pythonhosted.org/packages/87/31/b984e17bcc7491c1baeda3906fe3abc14cb5cd5dbd046ab46d9fc7a2edfd/progressbar2-3.34.3-py2.py3-none-any.whl
Collecting cliff<2.9,>=2.8.0 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Collecting beautifulsoup4<4.7,>=4.6.0 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Using cached https://files.pythonhosted.org/packages/21/0a/47fdf541c97fd9b6a610cb5fd518175308a7cc60569962e776ac52420387/beautifulsoup4-4.6.3-py3-none-any.whl
Collecting cssselect<1.1,>=1.0.1 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Using cached https://files.pythonhosted.org/packages/7b/44/25b7283e50585f0b4156960691d951b05d061abf4a714078393e51929b30/cssselect-1.0.3-py2.py3-none-any.whl
Collecting MechanicalSoup<0.9,>=0.7.0 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Using cached https://files.pythonhosted.org/packages/5c/2e/f63ed26b51e36efa4cc22cad18187fcb0a253f756d548c96bb931f13de98/MechanicalSoup-0.8.0-py2.py3-none-any.whl
Collecting lxml<4.1,>=4.0.0 (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Using cached https://files.pythonhosted.org/packages/fb/51/f35faad90e455111327b84358fab9ff64ca3c83420714b2ae68159b1f3ac/lxml-4.0.0-cp36-cp36m-win_amd64.whl
Collecting configparser (from kaggle-cli->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 10))
Requirement already satisfied: ipython>=4.0.0; python_version >= “3.3” in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from ipywidgets->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (6.5.0)
Requirement already satisfied: traitlets>=4.3.1 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from ipywidgets->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (4.3.2)
Requirement already satisfied: nbformat>=4.2.0 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from ipywidgets->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (4.4.0)
Requirement already satisfied: ipykernel>=4.5.1 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from ipywidgets->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (4.10.0)
Requirement already satisfied: widgetsnbextension~=3.4.0 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from ipywidgets->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 11)) (3.4.2)
Requirement already satisfied: pyyaml in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from torch->torchvision>=0.1.9->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 1)) (3.13)
Requirement already satisfied: pytz>=2011k in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from pandas->pandas_summary==0.0.5->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 4)) (2018.5)
Requirement already satisfied: python-dateutil>=2.5.0 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from pandas->pandas_summary==0.0.5->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 4)) (2.7.3)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from requests->torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (3.0.4)
Requirement already satisfied: idna<2.8,>=2.5 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from requests->torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (2.7)
Requirement already satisfied: urllib3<1.24,>=1.21.1 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from requests->torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (1.23)
Requirement already satisfied: certifi>=2017.4.17 in c:\users\tomas\anaconda3\envs\fastai\lib\site-packages (from requests->torchtext->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 5)) (2018.8.24)
Collecting fiona (from geopandas>=0.3.0->plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/82/52/fe30f9f529edf52080e7f5a2ffe377aefd84d0aceeb2e96022b5a78b3faf/Fiona-1.7.13.tar.gz
Collecting pyproj (from geopandas>=0.3.0->plotnine->-r C:\Users\tomas\fastai\condaenv.8gxc6gsl.requirements.txt (line 9))
Using cached https://files.pythonhosted.org/packages/29/72/5c1888c4948a0c7b736d10e0f0f69966e7c0874a660222ed0a2c2c6daa9f/pyproj-1.9.5.1.tar.gz
Complete output from command python setup.py egg_info:
using bundled proj4…
Traceback (most recent call last):
File “C:\Users\tomas\Anaconda3\envs\fastai\lib\site-packages\setuptools\msvc.py”, line 489, in _find_latest_available_vc_ver
return self.find_available_vc_vers()[-1]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\tomas\AppData\Local\Temp\pip-install-kb1j4g2m\pyproj\setup.py", line 72, in <module>
    objects = cc.compile(['nad2bin.c', 'src/pj_malloc.c'])
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\distutils\_msvccompiler.py", line 345, in compile
    self.initialize()
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\distutils\_msvccompiler.py", line 238, in initialize
    vc_env = _get_vc_env(plat_spec)
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\site-packages\setuptools\msvc.py", line 185, in msvc14_get_vc_env
    return EnvironmentInfo(plat_spec, vc_min_ver=14.0).return_env()
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\site-packages\setuptools\msvc.py", line 843, in __init__
    self.si = SystemInfo(self.ri, vc_ver)
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\site-packages\setuptools\msvc.py", line 485, in __init__
    self.vc_ver = vc_ver or self._find_latest_available_vc_ver()
  File "C:\Users\tomas\Anaconda3\envs\fastai\lib\site-packages\setuptools\msvc.py", line 492, in _find_latest_available_vc_ver
    raise distutils.errors.DistutilsPlatformError(err)
distutils.errors.DistutilsPlatformError: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": https://visualstudio.microsoft.com/downloads/

----------------------------------------

Command “python setup.py egg_info” failed with error code 1 in C:\Users\tomas\AppData\Local\Temp\pip-install-kb1j4g2m\pyproj\

CondaValueError: pip returned an error


(Leon Dummer) #6

Guess the next step is installing Microsoft Visual C++ 14.00 then :wink:
If you don’t have cuda and cudnn you should install those too


(Bart) #7

Thats a suprise.Why would I need C++ for upgrade :)?


(Leon Dummer) #8

Because some of the dependencies are written in C++, Python is often not only python code, but also using C librarys etc.


(Bart) #9

aa ok.Thanks for Your help :slight_smile:


(Abhinav Anand) #10

Collecting pyperclip>=1.5.27 (from cmd2>=0.6.7->cliff<2.9,>=2.8.0->kaggle-cli->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 10))
Requirement already satisfied: attrs in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from cmd2>=0.6.7->cliff<2.9,>=2.8.0->kaggle-cli->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 10)) (18.1.0)
Requirement already satisfied: pyzmq>=13 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jupyter_client->ipykernel>=4.5.1->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (17.1.2)
Requirement already satisfied: jinja2 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (2.10)
Requirement already satisfied: nbconvert in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (5.4.0)
Requirement already satisfied: Send2Trash in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.5.0)
Requirement already satisfied: terminado>=0.8.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.8.1)
Requirement already satisfied: prometheus_client in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.3.1)
Requirement already satisfied: parso>=0.3.0 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jedi>=0.10->ipython>=4.0.0; python_version >= “3.3”->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.3.1)
Requirement already satisfied: wcwidth in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from prompt_toolkit<2.1.0,>=2.0.0->ipython>=4.0.0; python_version >= “3.3”->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.1.7)
Requirement already satisfied: click<8,>=4.0 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from cligj>=0.4->fiona->geopandas>=0.3.0->plotnine->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 9)) (6.7)
Requirement already satisfied: MarkupSafe>=0.23 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jinja2->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.0)
Requirement already satisfied: mistune>=0.8.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.8.3)
Requirement already satisfied: entrypoints>=0.2.2 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.2.3)
Requirement already satisfied: bleach in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (2.1.4)
Requirement already satisfied: pandocfilters>=1.4.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.4.2)
Requirement already satisfied: testpath in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.4.1)
Exception:
Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

CondaValueError: pip returned an error

I am stuck at this error. Can anybody help?

Blockquote


(Leon Dummer) #11

@anand9499 is your pip the newest version? Otherwise you can update it with pip install --upgrade pip, usually when pkg_resources in pip throws an error, it’s because of an outdated version.


(Bart) #12

I wanted to do dual bool, but after installing Ubuntu my laptop is freezing when I want to use ubuntu.Do You have any idea what can I do? :slight_smile:


(Nikolay Jamgaryan) #13

Hello, everybody. I’m new to deep learning and at the very beginning I got some problems. I did the steps(1, 2, 3) and during conda env update I got such errors:
Exception:
Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

I’m running windows 10-x.64 with Cuda 9.0

Could anybody help me with these problems?


(Wayne Nixalo) #14

See this thread. @EinAeffchen it doesn’t look like upgrading pip fixes this issue; may be something with one of the packages.

@Jamnik.


(Abhinav Anand) #16

Are the following steps correct ?

  1. git clone https://github.com/fastai/fastai
  2. cd fastai
  3. conda create -n fastai python=3.6 anaconda
    Then, follow the steps suggested by @Borz
    1. comment out the 4 jupyter lines in environment.yml
    2. run conda env update
    3. manually install the packages that weren’t installed (mkl-random, cython, etc)
    4. manually install the 4 jupyter packages that you commented out.

#17

Same issue here only with Paperspace machine.
After I tried to conda env update error occurred.
I have tried pip install --upgrade pip but got same error as @Jamnik.

My VM on Paperspace is running Ubuntu 16.04 and fast.ai template.


#18

This worked for me.


(Abhinav Anand) #19

This process worked for me in my local system too. Thanks for the help everyone.


(Abhinav Anand) #20

Thanks @Borz. It is working now


(Nikolay Jamgaryan) #21

@Borz thank you for your advise. But even with commented jupyter’s lines I have these exceptions:

Exception:
Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

CondaValueError: pip returned an error